Skip to main content
POST
/
generateFromFewShot
/
augment
Augment test cases
curl --request POST \
  --url https://api.galtea.ai/generateFromFewShot/augment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "testId": "test_123",
  "maxTestCases": 100,
  "productDescription": "A product that helps users"
}
'
{
  "taskId": "task_123"
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
testId
string
required

ID of the test to augment

Example:

"test_123"

maxTestCases
integer
required
Required range: x >= 1
Example:

100

productDescription
string | null
Example:

"A product that helps users"

Response

Augmentation task started successfully

taskId
string
Example:

"task_123"